@echo off


:MENU
echo 批处理备份重置SignalRGB设置

ECHO.&ECHO 备份注册表文件(共四项，内容如下)
echo 所有设置-----SignalRgb SignalRGB_Full_Backup.reg
echo 布局设置-----layouts SignalRGB_Layout_Backup.reg
echo 设备设置-----SignalRGB_Devices_Backup.reg
echo 端点设置-----lighting SignalRGB_Endpoint_Backup.reg








reg export HKEY_CURRENT_USER\SOFTWARE\WhirlwindFX\SignalRgb SignalRGB_Full_Backup.reg
reg export HKEY_CURRENT_USER\SOFTWARE\WhirlwindFX\SignalRgb\layouts SignalRGB_Layout_Backup.reg
reg export HKEY_CURRENT_USER\SOFTWARE\WhirlwindFX\SignalRgb\devices SignalRGB_Devices_Backup.reg
reg export HKEY_CURRENT_USER\SOFTWARE\WhirlwindFX\SignalRgb\lighting SignalRGB_Endpoint_Backup.reg
ECHO.&ECHO 备份完成,恢复备份注册表只需双击目录的4个文件导入即可 &TIMEOUT /t 50 >NUL&CLS&GOTO MENU

